Bug 989686 - [abrt] libreoffice-core-4.1.0.3-2.fc19: lcl_RemoveLineBreaks: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.0.3-2.fc19: lcl_RemoveLineBreaks: Process /usr/li...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:b93cb4273fbcfd370eb6af1b286...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 13:49 EDT by Tim Becker
Modified: 2013-08-11 14:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-4.1.0.4-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-03 20:01:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (71.60 KB, text/plain)
2013-07-29 13:49 EDT, Tim Becker
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-29 13:49 EDT, Tim Becker
no flags Details
File: core_backtrace (8.29 KB, text/plain)
2013-07-29 13:49 EDT, Tim Becker
no flags Details
File: dso_list (29.72 KB, text/plain)
2013-07-29 13:49 EDT, Tim Becker
no flags Details
File: environ (2.11 KB, text/plain)
2013-07-29 13:49 EDT, Tim Becker
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 13:49 EDT, Tim Becker
no flags Details
File: maps (139.39 KB, text/plain)
2013-07-29 13:49 EDT, Tim Becker
no flags Details
File: open_fds (3.38 KB, text/plain)
2013-07-29 13:49 EDT, Tim Becker
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-07-29 13:50 EDT, Tim Becker
no flags Details
File: var_log_messages (348 bytes, text/plain)
2013-07-29 13:50 EDT, Tim Becker
no flags Details

  None (edit)
Description Tim Becker 2013-07-29 13:49:23 EDT
Version-Release number of selected component:
libreoffice-core-4.1.0.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=5
crash_function: lcl_RemoveLineBreaks
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 lcl_RemoveLineBreaks at /usr/src/debug/libreoffice-4.1.0.3/sw/source/core/doc/doctxm.cxx:1550
 #1 SwTOXBaseSection::GenerateText at /usr/src/debug/libreoffice-4.1.0.3/sw/source/core/doc/doctxm.cxx:1603
 #2 SwTOXBaseSection::Update at /usr/src/debug/libreoffice-4.1.0.3/sw/source/core/doc/doctxm.cxx:971
 #3 SwEditShell::UpdateTableOf at /usr/src/debug/libreoffice-4.1.0.3/sw/source/core/edit/edtox.cxx:195
 #4 SwWrtShell::UpdateTableOf at /usr/src/debug/libreoffice-4.1.0.3/sw/source/ui/wrtsh/wrtsh2.cxx:201
 #5 SwView::Execute at /usr/src/debug/libreoffice-4.1.0.3/sw/source/ui/uiview/view2.cxx:911
 #6 SwView::SwView at /usr/src/debug/libreoffice-4.1.0.3/sw/source/ui/uiview/view.cxx:988
 #7 SwView::CreateInstance at /usr/src/debug/libreoffice-4.1.0.3/sw/source/ui/uiview/view0.cxx:81
 #8 SfxBaseModel::createViewController at /usr/src/debug/libreoffice-4.1.0.3/sfx2/source/doc/sfxbasemodel.cxx:4273
 #9 SfxFrameLoader_Impl::impl_createDocumentView at /usr/src/debug/libreoffice-4.1.0.3/sfx2/source/view/frmload.cxx:497
Comment 1 Tim Becker 2013-07-29 13:49:29 EDT
Created attachment 780034 [details]
File: backtrace
Comment 2 Tim Becker 2013-07-29 13:49:32 EDT
Created attachment 780035 [details]
File: cgroup
Comment 3 Tim Becker 2013-07-29 13:49:36 EDT
Created attachment 780036 [details]
File: core_backtrace
Comment 4 Tim Becker 2013-07-29 13:49:41 EDT
Created attachment 780037 [details]
File: dso_list
Comment 5 Tim Becker 2013-07-29 13:49:44 EDT
Created attachment 780038 [details]
File: environ
Comment 6 Tim Becker 2013-07-29 13:49:49 EDT
Created attachment 780039 [details]
File: limits
Comment 7 Tim Becker 2013-07-29 13:49:55 EDT
Created attachment 780040 [details]
File: maps
Comment 8 Tim Becker 2013-07-29 13:49:58 EDT
Created attachment 780041 [details]
File: open_fds
Comment 9 Tim Becker 2013-07-29 13:50:01 EDT
Created attachment 780042 [details]
File: proc_pid_status
Comment 10 Tim Becker 2013-07-29 13:50:04 EDT
Created attachment 780043 [details]
File: var_log_messages
Comment 11 Caolan McNamara 2013-07-30 05:11:49 EDT
After a bit of thinking put in a fix, and found fridrich was there before me :-)

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2cb9aaf44dc589af79d62d7b1136b5d65e9f47d4
Comment 12 Fedora Update System 2013-07-30 09:59:58 EDT
libreoffice-4.1.0.4-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.0.4-4.fc19
Comment 13 Fedora Update System 2013-07-30 15:05:07 EDT
libreoffice-4.1.0.4-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.0.4-5.fc19
Comment 14 Fedora Update System 2013-08-01 23:42:24 EDT
Package libreoffice-4.1.0.4-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.0.4-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14010/libreoffice-4.1.0.4-5.fc19
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-08-03 20:01:24 EDT
libreoffice-4.1.0.4-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-08-09 10:52:09 EDT
libreoffice-4.1.0.4-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.0.4-6.fc19
Comment 17 Fedora Update System 2013-08-11 14:30:18 EDT
libreoffice-4.1.0.4-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.